// FILE:		z0dd_incoming.cs
// VERSION:		1.0
// DATE:		7/1/99
// AUTHOR:		Paul "z0dd" Paella
// EMAIL:		z0dd@adelphia.net
// WEBPAGE:		http://home.adelphia.net/~z0dd/
//
// DESCRIPTION:
//	This script binds the numbers on the numeric keypad
//	to messages that inform your team which direction enemies
//  	are coming from.  
//	The keys are mapped to the standard compass directions. For
// 	example, pressing kp6 tells your teamates "Enemies: EAST".
//
// INSTALLATION:
//	Put z0dd_incoming.cs into your:
//		...\tribes\config
// 	directory and insert this line into your autoexec.cs:
//		exec("z0dd_incoming.cs");
//

// Incoming Enemies & Direction
bindCommand(keyboard0, make, "numpad1", TO, "say(1, \"Enemies: SOUTHWEST~wincom2\");");
bindCommand(keyboard0, make, "numpad2", TO, "say(1, \"Enemies: SOUTH~wincom2\");");
bindCommand(keyboard0, make, "numpad3", TO, "say(1, \"Enemies: SOUTHEAST~wincom2\");");
bindCommand(keyboard0, make, "numpad4", TO, "say(1, \"Enemies: WEST~wincom2\");");
bindCommand(keyboard0, make, "numpad5", TO, "say(1, \"Enemies: ALL OVER!~wincom2\");");
bindCommand(keyboard0, make, "numpad6", TO, "say(1, \"Enemies: EAST~wincom2\");");
bindCommand(keyboard0, make, "numpad7", TO, "say(1, \"Enemies: NORTHWEST~wincom2\");");
bindCommand(keyboard0, make, "numpad8", TO, "say(1, \"Enemies: NORTH~wincom2\");");
bindCommand(keyboard0, make, "numpad9", TO, "say(1, \"Enemies: NORTHEAST~wincom2\");");

// Incoming Enemies & Direction
bindCommand(keyboard0, make, alt, "numpad1", TO, "say(1, \"Enemy carrier going: SOUTHWEST~wflgtkm2\");");
bindCommand(keyboard0, make, alt, "numpad2", TO, "say(1, \"Enemy carrier going: SOUTH~wflgtkm2\");");
bindCommand(keyboard0, make, alt, "numpad3", TO, "say(1, \"Enemy carrier going: SOUTHEAST~wflgtkm2\");");
bindCommand(keyboard0, make, alt, "numpad4", TO, "say(1, \"Enemy carrier going: WEST~wflgtkm2\");");
bindCommand(keyboard0, make, alt, "numpad6", TO, "say(1, \"Enemy carrier going: EAST~wflgtkm2\");");
bindCommand(keyboard0, make, alt, "numpad7", TO, "say(1, \"Enemy carrier going: NORTHWEST~wflgtkm2\");");
bindCommand(keyboard0, make, alt, "numpad8", TO, "say(1, \"Enemy carrier going: NORTH~wflgtkm2\");");
bindCommand(keyboard0, make, alt, "numpad9", TO, "say(1, \"Enemy carrier going: NORTHEAST~wflgtkm2\");");
